<?xml version="1.0" encoding="utf-8"?>
<Project DefaultTargets="Build" ToolsVersion="14.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="..\configs.props" />
  <PropertyGroup Label="PropertySheets">
    <PlatformToolset>WindowsKernelModeDriver10.0</PlatformToolset>
    <ConfigurationType>Utility</ConfigurationType>
    <DriverType>Package</DriverType>
    <DisableFastUpToDateCheck>true</DisableFastUpToDateCheck>
    <SupportsPackaging>true</SupportsPackaging>
    <DriverTargetPlatform>Desktop</DriverTargetPlatform>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
  <PropertyGroup Label="Globals">
    <ProjectGuid>{92E5A46B-913C-45C6-B6F8-7E062D85279F}</ProjectGuid>
  </PropertyGroup>
  <Import Project="..\targets.props" />
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props" />
  <PropertyGroup>
    <EnableInf2cat>true</EnableInf2cat>
    <Inf2CatWindowsVersionList Condition="'$(Platform)'=='x64'">8_x64;Server8_x64;10_x64;Server10_x64</Inf2CatWindowsVersionList>
    <Inf2CatWindowsVersionList Condition="'$(Platform)'=='Win32'">8_x86;10_x86</Inf2CatWindowsVersionList>
    <DebuggerFlavor>DbgengKernelDebugger</DebuggerFlavor>
    <EnableDeployment>False</EnableDeployment>
    <ImportToStore>False</ImportToStore>
    <InstallMode>None</InstallMode>
    <ScriptDeviceQuery>%PathToInf%</ScriptDeviceQuery>
    <EnableVerifier>False</EnableVerifier>
    <AllDrivers>False</AllDrivers>
    <VerifyProjectOutput>True</VerifyProjectOutput>
    <VerifyDrivers />
    <VerifyFlags>133563</VerifyFlags>
    <IntDir>..\$(ProjectName)\$(ConfigurationName)\$(Platform)\</IntDir>
    <OutDir>..\$(ConfigurationName)\$(Platform)\</OutDir>
  </PropertyGroup>
  <ItemGroup>
    <ProjectReference Include="..\xenfilt\xenfilt.vcxproj">
      <Project>{d7411b2c-2c43-434d-9f56-e10a3d2f5bad}</Project>
    </ProjectReference>
    <ProjectReference Include="..\xenbus_coinst\xenbus_coinst.vcxproj">
      <Project>{4bf41378-c01b-4002-8581-563c5f703362}</Project>
    </ProjectReference>
    <ProjectReference Include="..\xenbus\xenbus.vcxproj">
      <Project>{14c16c29-77c9-475b-a618-1b01e67cf985}</Project>
    </ProjectReference>
    <ProjectReference Include="..\xen\xen.vcxproj">
      <Project>{9c6a5d48-a331-4b1f-a004-7bb67ba5be1c}</Project>
    </ProjectReference>
    <ProjectReference Include="..\xenbus_monitor\xenbus_monitor.vcxproj">
      <Project>{2E61D2CC-865E-442C-8C83-B8DAFD7BBD3B}</Project>
    </ProjectReference>
  </ItemGroup>
  <ItemGroup Condition="Exists('$(DPINST_REDIST)')">
    <FilesToPackage Include="$(DPINST_REDIST)\x86\dpinst.exe" Condition="'$(Platform)'=='Win32'" />
    <FilesToPackage Include="$(DPINST_REDIST)\x64\dpinst.exe" Condition="'$(Platform)'=='x64'" />
  </ItemGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.targets" />
  <ImportGroup Label="ExtensionTargets">
  </ImportGroup>
</Project>
